summaryrefslogtreecommitdiff
path: root/pcl/tools/pcl2pdfwr
diff options
context:
space:
mode:
Diffstat (limited to 'pcl/tools/pcl2pdfwr')
-rwxr-xr-xpcl/tools/pcl2pdfwr36
1 files changed, 36 insertions, 0 deletions
diff --git a/pcl/tools/pcl2pdfwr b/pcl/tools/pcl2pdfwr
new file mode 100755
index 000000000..0d5f93f49
--- /dev/null
+++ b/pcl/tools/pcl2pdfwr
@@ -0,0 +1,36 @@
+#!/bin/sh
+# $RCSfile$ $Revision: 2063 $
+# Convert PCL or PCL to PDF without specifying CompatibilityLevel.
+
+OPTIONS=
+while true
+do
+ case "$1" in
+ -?*) OPTIONS="$OPTIONS $1" ;;
+ *) break ;;
+ esac
+ shift
+done
+
+if [ $# -lt 1 -o $# -gt 2 ]; then
+ echo "Usage: `basename $0` [options...] (input.pcl|-) [output.pdf|-]" 1>&2
+ exit 1
+fi
+
+infile=$1;
+
+if [ $# -eq 1 ]
+then
+ case "${infile}" in
+ -) outfile=- ;;
+ *.pcl) base=`basename ${infile} .pcl`; outfile=${base}.pdf ;;
+ *.pxl) base=`basename ${infile} .pxl`; outfile=${base}.pdf ;;
+ *) base=`basename ${infile}`; outfile=${base}.pdf ;;
+ esac
+else
+ outfile=$2
+fi
+
+# We have to include the options twice because -I only takes effect if it
+# appears before other options.
+exec pcl6 $OPTIONS -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=$outfile $OPTIONS $infile